学Linux - 上红联!
Linux系统教程_红联Linux门户
Linux帮助

Ubuntu系统无法update更新 更换阿里云更新源

时间:2017-09-27来源:laozuo.org 作者:老左
今天有在Ubuntu系统中安装软件,应该是因为系统比较老有的软件无法直接apt-get安装,于是通过update更新最新到最新版本发现有错误。我们需要更换源才能解决更新问题,这里找到阿里云Ubuntu源直接替换掉后是可以使用的。当然,需要将有用的内容分享出来以便以后需要用到直接参考。
在之前文章中有分享过"CentOS替换阿里云yum源解决无法update问题"(/linux/31524.html)和"解决Debian系统apt-get更新官方源失败 替换163源的方法"(/linux/20492.html),如果是需要CentOS和Debian环境的可以参考,这里是Ubuntu系统。
 
第一、备份原有源文件
cp /etc/apt/sources.list /etc/apt/sources.list.bak
 
第二、修改系统源
/etc/apt/sources.list
编辑文件,将里面内容全部删除,然后替换下面内容。
deb http://mirrors.aliyun.com/ubuntu/ trusty main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ trusty-security main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ trusty-updates main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ trusty-proposed main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ trusty-backports main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty-security main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty-updates main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty-proposed main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty-backports main restricted universe multiverse
 
第三、再次更新执行
apt-get update -y
Ubuntu系统无法update更新 更换阿里云更新源
执行后还有报错,根据最后几行出现的错误提示,然后执行下面的。
apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 3B4FE6ACC0B21F32
根据各自的提示报错更换,因为不同机器报错不同的。
Ubuntu系统无法update更新 更换阿里云更新源
最后,再次更新
再次执行apt-get update -y更新系统,最后是没有报错的。
Ubuntu系统无法update更新 更换阿里云更新源
 
本文永久更新地址:/linux/32682.html
------分隔线------